Description: Add man page for ots-sanitize

---

Origin: vendor
Forwarded: https://github.com/khaledhosny/ots/pull/225
Last-Update: 2020-11-29

Index: opentype-sanitizer/docs/ots-sanitize.1
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ opentype-sanitizer/docs/ots-sanitize.1	2020-12-02 12:24:06.260096369 +0100
@@ -0,0 +1,42 @@
+.TH OTS-SANITIZE "1" "November 2020" "OpenType Sanitizer" "User Commands"
+.SH NAME
+ots-sanitize \- font validator and transcoder
+.SH SYNOPSIS
+.B yes
+[\fI\,OPTIONS\/\fR]... \fI\,FONT_FILE\/\fR [\fI\,DEST_FONT_FILE\/\fR] [\fI\,FONT_INDEX\/\fR]
+.SH DESCRIPTION
+.\" Add any additional description here
+.PP
+ots-sanitize is a program which validates and/or transcodes a font file using
+the OTS library.
+.PP
+The OpenType Sanitizer (OTS) parses and serializes OpenType files (OTF, TTF)
+and WOFF and WOFF2 font files, validating them and sanitizing them as it goes.
+.TP
+\fB\-\-quiet\fR
+do not display information or error messages
+.TP
+\fB\-\-version\fR
+output version information and exit
+.SH EXAMPLES
+Sanitize a sample and save it to another file:
+.PP
+.RS
+.nf
+$ ots-sanitize sample.otf transcoded_sample.otf
+File sanitized successfully!
+.fi
+.RE
+.PP
+Try to sanitize a malformed file:
+.PP
+.RS
+.nf
+$ ots-sanitize malformed.ttf
+WARNING: bad range shift
+ERROR at src/ots.cc:670 (ProcessGeneric)
+Failed to sanitize file!
+.RE
+.fi
+.SH "REPORTING BUGS"
+Report bugs to  <https://github.com/khaledhosny/ots/issues>
Index: opentype-sanitizer/meson.build
===================================================================
--- opentype-sanitizer.orig/meson.build	2020-12-02 12:24:06.248096434 +0100
+++ opentype-sanitizer/meson.build	2020-12-02 12:24:25.351992360 +0100
@@ -229,6 +229,8 @@
   )
 endif
 
+install_man('docs/ots-sanitize.1')
+
 test('test_bad_fonts',
   find_program('tests/test_bad_fonts.sh'),
   env: [
